Subject: RE: bug#24982: 24.5; way to let Elisp reader ignore unreadable #(...) constructs

From: Drew Adams <[email-masked]>
Date: Sat, 22 Aug 2020 12:25:57 -0700 (PDT)

> > Enhancement request:
> >
> > Provide a Boolean variable or a wrapper macro that has the effect of not
> > raising an error but just skipping over any unreadable #(...) construct.
> >
> > (I really wish this were available for older Emacs versions.  Those are
> > the ones that barf on #(...) constructs that are supported in later
> > versions.
> 
> What's the use-case here?  Why can't you use `ignore-errors'?

(ignore-errors (read (current-buffer))

doesn't advance over the sexp.

I guess what I mean is a #() construct that raises
an (invalid-read-syntax "#") error.  A situation
where there is, in fact, a #(...) present but that
error gets raised.

It's possible that the request is underspecified;
dunno.

The parenthetical remark in the request is really
the motivation.  For older Emacs the syntax #(...)
didn't exist.  But that error can still be raised,
when the syntax of the `...' isn't valid.